Bug 981747 - [abrt] BUG: soft lockup - CPU#0 stuck for 23s! [Xorg:395]
[abrt] BUG: soft lockup - CPU#0 stuck for 23s! [Xorg:395]
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
abrt_hash:c0128aa62cdef9d5e1bb6c18ffc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-05 12:59 EDT by mshlyn
Modified: 2015-02-18 08:58 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:58:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (70.68 KB, text/plain)
2013-07-05 12:59 EDT, mshlyn
no flags Details
dmesg output between step 2 and setp 3 (67.79 KB, text/plain)
2013-09-17 12:35 EDT, mshlyn
no flags Details
output of lspci (2.00 KB, text/plain)
2013-09-17 12:39 EDT, mshlyn
no flags Details
Xorg log (41.76 KB, text/plain)
2013-09-17 12:49 EDT, mshlyn
no flags Details
kernel log (318.28 KB, text/plain)
2013-09-17 12:55 EDT, mshlyn
no flags Details

  None (edit)
Description mshlyn 2013-07-05 12:59:31 EDT
Additional info:
reporter:       libreport-2.1.5
BUG: soft lockup - CPU#0 stuck for 23s! [Xorg:395]
Modules linked in: tcp_lp pppoe pppox ppp_generic slhc fuse ebtable_nat bnep nf_conntrack_netbios_ns nf_conntrack_broadcast bluetooth ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables arc4 iwldvm mac80211 mperf coretemp snd_hda_codec_hdmi snd_hda_codec_realtek kvm_intel kvm snd_hda_intel snd_hda_codec snd_hwdep crc32_pclmul snd_seq snd_seq_device uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media crc32c_intel snd_pcm iwlwifi tg3 ptp pps_core sdhci_pci sdhci snd_page_alloc snd_timer snd soundcore jmb38x_ms microcode mmc_core iTCO_wdt iTCO_vendor_support joydev cfg80211 lpc_ich memstick i2c_i801 mfd_core mei ideapad_laptop sparse_keymap rfkill uinput nouveau i915 ttm i2c_algo_bit drm_kms_helper drm i2c_core mxm_wmi wmi video
Pid: 395, comm: Xorg Not tainted 3.9.5-301.fc19.i686.PAE #1 LENOVO 20090                           /Base Board Product Name
EIP: 0060:[<c0698c42>] EFLAGS: 00003292 CPU: 0
EIP is at ioread32+0x32/0x40
EAX: ffffffff EBX: f30a4ba0 ECX: 00000000 EDX: 00000000
ESI: ffffffff EDI: 00000000 EBP: df809ca8 ESP: df809c98
 DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
CR0: 80050033 CR2: 4e85a458 CR3: 33020000 CR4: 000407f0
DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3: 00000000
DR6: ffff0ff0 DR7: 00000400
Process Xorg (pid: 395, ti=df808000 task=df803fc0 task.ti=df808000)
Stack:
 f86a3b0c f30a4ba0 df80d6c0 00000000 df809cd4 f86a362a 77359400 0061a804
 00000000 00000000 ffffffff ffffffff df80d6c0 0061a804 00000000 df809cf4
 f86ac37d 0061a804 80000000 00000000 df80d6c0 df809d10 df990e00 df809d04
Call Trace:
 [<f86a3b0c>] ? nv04_timer_read+0x2c/0x50 [nouveau]
 [<f86a362a>] nouveau_timer_wait_eq+0x6a/0xc0 [nouveau]
 [<f86ac37d>] nv50_dac_power+0x3d/0x90 [nouveau]
 [<f86ac49a>] nv50_dac_mthd+0x5a/0x70 [nouveau]
 [<f86ac440>] ? nv50_dac_sense+0x70/0x70 [nouveau]
 [<f871421c>] nv50_dac_detect+0x6c/0x80 [nouveau]
 [<f8701c6a>] nouveau_connector_detect+0x37a/0x3a0 [nouveau]
 [<f7ede228>] drm_helper_probe_single_connector_modes+0x1b8/0x330 [drm_kms_helper]
 [<f7f3feed>] drm_mode_getconnector+0x2fd/0x350 [drm]
 [<f7f3fbf0>] ? drm_mode_getcrtc+0xc0/0xc0 [drm]
 [<f7f32cda>] drm_ioctl+0x43a/0x4a0 [drm]
 [<c04c64a7>] ? kdb_read+0x247/0x900
 [<f7f3fbf0>] ? drm_mode_getcrtc+0xc0/0xc0 [drm]
 [<c04c64a7>] ? kdb_read+0x247/0x900
 [<c058e330>] ? fsnotify_put_event+0x50/0x90
 [<c058e330>] ? fsnotify_put_event+0x50/0x90
 [<f7f328a0>] ? drm_copy_field+0x70/0x70 [drm]
 [<c056544e>] do_vfs_ioctl+0x2ee/0x4f0
 [<c063359a>] ? inode_has_perm.isra.32.constprop.62+0x3a/0x50
 [<c0633637>] ? file_has_perm+0x87/0x90
 [<c06339fc>] ? selinux_file_ioctl+0x4c/0xf0
 [<c05656a8>] sys_ioctl+0x58/0x80
 [<c04c64a7>] ? kdb_read+0x247/0x900
 [<c099a88d>] sysenter_do_call+0x12/0x28
 [<c04c64a7>] ? kdb_read+0x247/0x900
 [<c04c64a7>] ? kdb_read+0x247/0x900
Code: 3d 00 00 01 00 76 0a 0f b7 d0 ed c3 90 8d 74 26 00 55 ba df 97 b4 c0 89 e5 e8 0b ff ff ff b8 ff ff ff ff 5d c3 8d 74 26 00 8b 00 <c3> 8d b6 00 00 00 00 8d bc 27 00 00 00 00 81 fa ff ff 03 00 89
Comment 1 mshlyn 2013-07-05 12:59:42 EDT
Created attachment 769333 [details]
File: dmesg
Comment 2 Ben Skeggs 2013-09-16 20:36:28 EDT
Is this one reproducible?  If so, how do you trigger it?
Comment 3 mshlyn 2013-09-17 12:31:43 EDT
Yes, It is always reproducible.
I tried twice just now. 

How to reproduce:
1, open terminal; su to root;
2, type 'echo OFF > /sys/kernel/debug/vgaswitcheroo/switch'
3, open an avi or mpg file.

Result:
the whole computer locks immediately when I double clicked the video file , no any response to keybord or mouse. In fact I waited for more than 30 seconds, so I have to power off it by pressing the power button for some seconds.

I can see a new abrt report like this one after reboot.
Comment 4 mshlyn 2013-09-17 12:35:48 EDT
Created attachment 798885 [details]
dmesg output between step 2 and setp 3

dmesg output of switching off nouveau
Comment 5 mshlyn 2013-09-17 12:38:34 EDT
output of 'uname -a' :
Linux localhost.localdomain 3.10.7-200.fc19.i686.PAE #1 SMP Fri Aug 16 00:22:51 UTC 2013 i686 i686 i386 GNU/Linux
Comment 6 mshlyn 2013-09-17 12:39:46 EDT
Created attachment 798886 [details]
output of lspci
Comment 7 mshlyn 2013-09-17 12:49:48 EDT
Created attachment 798889 [details]
Xorg log
Comment 8 mshlyn 2013-09-17 12:55:25 EDT
Created attachment 798890 [details]
kernel log

/var/log/messages
Comment 9 Marcin Zajaczkowski 2013-10-26 11:12:54 EDT
The same with:
kernel-3.11.6-200.fc19.x86_64
xorg-x11-drv-nouveau-1.0.9-1.fc19.x86_64
xorg-x11-server-Xorg-1.14.3-1.fc19.x86_64

Asus N43SN
GeForce GT 550M + integrated Intel card using i915 driver (NVidia Optimus)
Comment 10 Fedora End Of Life 2015-01-09 17:10:58 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-02-18 08:58:32 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.